%{?nodejs_find_provides_and_requires}

%global packagename css-tree

# missing dependencies for tests
%global enable_tests 0

%global prerelease alpha
%global prerelease_level 24

Name:		nodejs-css-tree
Version:	1.0.0
Release:	5%{?prerelease:.%{prerelease}}%{?prerelease:%{prerelease_level}}.1%{?dist}
Summary:	Fast detailed CSS parser

License:	MIT
URL:		https://github.com/csstree/csstree
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}%{?prerelease:-%{prerelease}}%{?prerelease:%{prerelease_level}}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	tests-%{version}.tar.bz2
Source10:	dl-tests.sh


ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
BuildRequires:	npm(mdn-data)
BuildRequires:	npm(source-map)
%if 0%{?enable_tests}
BuildRequires:	mocha
BuildRequires:	npm(ajv)
%endif

%description
Fast detailed CSS parser


%prep
%autosetup -n package
# setup the tests
%autosetup -T -D -a 1 -n package
chmod -x data/index.js

%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json lib/ data/ dist/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/mocha -R spec
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%doc README.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}

%changelog
* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-5.alpha24.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-4.alpha24.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-3.alpha24.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-2.alpha24.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-1.alpha24.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Sep 20 2017 Jared Smith <jsmith@fedoraproject.org> - 1.0.0-0.alpha24.1
- Initial packaging
